BLYNK
HOME       📲 GETTING STARTED       📗 DOCS       ❓HELP CENTER       👉 SKETCH BUILDER

Error compiling blynkserver with java 8

I am trying to compile blynk server with
mvn clean install -Dmaven.test.skip=true -P java8

But I am getting Error
[WARNING] The requested profile "java8" could not be activated because it does not exist. [ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.8.0:compile (default-compile) on project utils: Compilation failure [ERROR] /home/shmoke/blynkServer/blynk-server/server/utils/src/main/java/module-info.java:[6,1] modules are not supported in -source 8 [ERROR] (use -source 9 or higher to enable modules)
Please Help

I’m not quite sure why you want to compile your own version argerte than using one of the pre-compiled versions, but this topic may shed some light on the issues you are having:

It seems that the latest version of the server requires java11

Pete.

Thank you very much. The post helped me a lot. I was actually trying to compile the java11 branch of the server with java8. Changing to the java8 branch allowed me to compile the files successfully.